package com.mirs.biz.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.mirs.common.annotation.Excel;
import com.mirs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.math.NumberUtils;

/**
 * 测量数据对象 biz_emi_measurement_t
 * 
 * @author kk
 * @date 2025-04-24
 */
@Data
public class EmiMeasurement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 样片型号 */
    @Excel(name = "样片型号")
    private String sampleModel;

    /** 温度(K) */
    @Excel(name = "温度(K)")
    private Long temperatureK;

    /** 波段(μm) */
    @Excel(name = "波段(μm)")
    private BigDecimal wavelengthUm;

    private String wavelengthUmStr;
    private Boolean wavelengthUmInterval;
    private Integer wavelengthUmMin;
    private Integer wavelengthUmMax;

    /** EMI-修正1 */
    @Excel(name = "EMI-修正1")
    private BigDecimal emiCorrection1;

    /** EMI-修正2 */
    @Excel(name = "EMI-修正2")
    private BigDecimal emiCorrection2;

    /** EMI-修正3 */
    @Excel(name = "EMI-修正3")
    private BigDecimal emiCorrection3;

    /** EMI-修正4 */
    @Excel(name = "EMI-修正4")
    private BigDecimal emiCorrection4;

    /** EMI-修正5 */
    @Excel(name = "EMI-修正5")
    private BigDecimal emiCorrection5;

    /** 均值 */
    @Excel(name = "均值")
    private BigDecimal meanValue;

    public void setWavelengthUmStr(String wavelengthUmStr) {
        this.wavelengthUmStr = wavelengthUmStr;
        Boolean wavelengthUmInterval = Boolean.FALSE;
        if (wavelengthUmStr != null) {
            String[] split = wavelengthUmStr.split("~");
            if (split.length == 2) {
                wavelengthUmInterval = Boolean.TRUE;
                this.wavelengthUmMin = Integer.parseInt(split[0]);
                this.wavelengthUmMax = Integer.parseInt(split[1]);
            }
        }
        this.wavelengthUmInterval = wavelengthUmInterval;
    }
//    public Boolean wavelengthUmStrNumber(){
//        return NumberUtils.isCreatable(wavelengthUmStr);
//    }
//
//    public Boolean getWavelengthUmInterval(){
//        if(wavelengthUmStr != null){
//            String[] split = wavelengthUmStr.split("~");
//            if(split.length == 2){
//                return  Boolean.TRUE;
//            }
//        }
//        return Boolean.FALSE;
//    }
//    public Integer getWavelengthUmMin(){
//        if(wavelengthUmStr != null){
//            String[] split = wavelengthUmStr.split("~");
//            if(split.length == 2){
//                return  Integer.parseInt(split[0]);
//            }
//        }
//        return null;
//    }
//
//    public Integer getWavelengthUmMax() {
//        if (wavelengthUmStr != null) {
//            String[] split = wavelengthUmStr.split("~");
//            if (split.length == 2) {
//                return Integer.parseInt(split[1]);
//            }
//        }
//        return null;
//    }
}
